#ifndef POPUP_H
#define POPUP_H

#include <Wt/WPopupWidget.h>
#include <Wt/WContainerWidget.h>
#include <Wt/WCheckBox.h>

using namespace Wt;

class Popup : public WPopupWidget
{
public:
    Popup(int autoHideDelay = 0,
            const WLength& width = 350);
    virtual ~Popup();
    void Create();
    void UpdateAnchorWidget(WWidget * anchorWidget)
    {
        setAnchorWidget(anchorWidget);
    }
    
private:
    WContainerWidget * m_cwMain = nullptr;
};

#endif // POPUP_H
